from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XControlContainer(XInterface, Protocol):
    def setStatusText(self, StatusText: str) -> None: ...
    def getControls(self) -> list[XControl]: ...
    def getControl(self, aName: str) -> XControl: ...
    def addControl(self, Name: str, Control: XControl) -> None: ...
    def removeControl(self, Control: XControl) -> None: ...
